[Bug 291987] Re: mysql-server-5.0 installation fails

Peter Belew abcruzww at gmail.com
Tue Feb 23 23:04:25 GMT 2010


I'm running Dell's release of Ubuntu on a 10v netbook.

I installed Apache2, php, and then attempted to install mysql and mysql-
server (mysql-server-5.0), using synaptic. The mysql server failed to
install completely, and cannot be removed, with synaptic,

 Ubuntu version and kernel version
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=8.04
DISTRIB_CODENAME=hardy
DISTRIB_DESCRIPTION="Ubuntu 8.04.2"
Linux mini 2.6.24-24-lpia #1 SMP Wed May 6 17:43:36 UTC 2009 i686 GNU/Linux
model name	: Intel(R) Atom(TM) CPU N270   @ 1.60GHz
model name	: Intel(R) Atom(TM) CPU N270   @ 1.60GHz
cpu MHz		: 1600.000
cpu MHz		: 1600.000

dpkg tells me:

# dpkg -C
The following packages are in a mess due to serious problems during
installation.  They must be reinstalled for them (and any packages
that depend on them) to function properly:
 mysql-server-5.0     MySQL database server binaries

An attempt to install mysql-server with apt-get results in the following
complaints:

# apt-get install mysql-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libnm-util0
Use 'apt-get autoremove' to remove them.
The following NEW packages will be installed:
  mysql-server
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
Need to get 0B/27.4MB of archives.
After this operation, 90.1kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package mysql-server-5.0.
(Reading database ... 103942 files and directories currently installed.)
Preparing to replace mysql-server-5.0 5.0.51a-3ubuntu5.1 (using .../mysql-server-5.0_5.0.51a-3ubuntu5.1_lpia.deb) ...
/etc/lsb-base-logging.sh: line 84: INITOUTPUT: unbound variable
invoke-rc.d: initscript mysql, action "stop" failed.
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
/etc/lsb-base-logging.sh: line 84: INITOUTPUT: unbound variable
invoke-rc.d: initscript mysql, action "stop" failed.
dpkg: error processing /var/cache/apt/archives/mysql-server-5.0_5.0.51a-3ubuntu5.1_lpia.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
/etc/lsb-base-logging.sh: line 84: INITOUTPUT: unbound variable
invoke-rc.d: initscript mysql, action "stop" failed.
/etc/lsb-base-logging.sh: line 84: INITOUTPUT: unbound variable
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 1
Unpacking mysql-server (from .../mysql-server_5.0.51a-3ubuntu5.4_all.deb) ...
/etc/lsb-base-logging.sh: line 84: INITOUTPUT: unbound variable
invoke-rc.d: initscript mysql, action "stop" failed.
invoke-rc.d returned 1
There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!
dpkg: error processing /var/cache/apt/archives/mysql-server_5.0.51a-3ubuntu5.4_all.deb (--unpack):
 subprocess pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-server-5.0_5.0.51a-3ubuntu5.1_lpia.deb
 /var/cache/apt/archives/mysql-server_5.0.51a-3ubuntu5.4_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root at mini:~# 

here is the state of some mysql packages:

# apt-show-versions | grep mysql
libdbd-mysql-perl/hardy uptodate 4.005-1
mysql-doc-5.0/hardy uptodate 5.0.56-0ubuntu1
mysql-server-5.0/hardy upgradeable from 5.0.51a-3ubuntu5.1 to 5.0.51a-3ubuntu5.4
php5-mysql/hardy uptodate 5.2.4-2ubuntu5.5
mysql-client-5.0/hardy uptodate 5.0.51a-3ubuntu5.4
libmysqlclient15off/hardy uptodate 5.0.51a-3ubuntu5.4
mysql-common/hardy uptodate 5.0.51a-3ubuntu5.4

-- 
mysql-server-5.0 installation fails
https://bugs.launchpad.net/bugs/291987
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to mysql-dfsg-5.0 in ubuntu.



More information about the Ubuntu-server-bugs mailing list